Bug 1317018 - (CVE-2016-2188) CVE-2016-2188 kernel: Kernel panic on invalid USB device descriptor (iowarrior driver)
CVE-2016-2188 kernel: Kernel panic on invalid USB device descriptor (iowarrio...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160314,reported=2...
: Security
Depends On: 1283390 1317010 1317467
Blocks: 1317020
  Show dependency treegraph
 
Reported: 2016-03-11 12:25 EST by Adam Mariš
Modified: 2016-05-26 22:00 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-18 09:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-11 12:25:57 EST
A flaw was found in in the Linux kernel's USB device management code which could cause a crash when a device which required iowarrior driver.  The kernel would panic causing null pointer dereference attempting to access non existent endpoints.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1283390
Comment 1 Adam Mariš 2016-03-11 12:26:12 EST
Acknowledgments:

Name: Ralf Spenneberg (OpenSource Security)
Comment 2 Adam Mariš 2016-03-14 06:23:37 EDT
Public via:

http://seclists.org/bugtraq/2016/Mar/87

cve-id CVE-2016-2188 was assigned internally by the Red Hat.
Comment 3 Adam Mariš 2016-03-14 06:25:41 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1317467]
Comment 6 Vladis Dronov 2016-03-18 09:50:10 EDT
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.
Comment 7 Fedora Update System 2016-04-08 11:53:13 EDT
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-04-08 16:20:57 EDT
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.